#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( decoder )
add_subdirectory( frame )
add_subdirectory( input )
add_subdirectory( mpegplay )
add_subdirectory( mpgplayer )
add_subdirectory( oggvorbis )
add_subdirectory( output )
add_subdirectory( splay )
add_subdirectory( tplay )
add_subdirectory( util )
add_subdirectory( yuv )


include_directories(
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


##### mpeg-lib (library) ########################

tde_add_library( mpeg SHARED
  SOURCES dummy.cpp
  RELEASE ${MPEGLIB_VERSION}
  EMBED
    mpeg_mpgplayer-static
    mpeg_mpegplay-static
    mpeg_splay-static
    mpeg_oggvorbisbase-static
    mpeg_tplay-static
    mpeg_decoder-static
    mpeg_output-static
    mpeg_input-static
    mpeg_util-static
    mpeg_utilabstract-static
    mpeg_utilaudio-static
    mpeg_utilsimplefile-static
    mpeg_utilrender-static
    mpeg_utilrenderdither-static
    mpeg_utilrenderdither2YUV-static
    mpeg_utilrenderx11-static
    mpeg_utilmmx-static
    mpeg_frame-static
    mpeg_yuvPlugin-static
  LINK
    mcop kmedia2_idl soundserver_idl artsflow_idl artsmodules-shared
    X11 ${XEXT_LIBRARIES} m ${XV_LIBRARIES} ${DGA_LIBRARIES} ${XVIDMODE_LIBRARIES}
    ${CDPARANOIA_LIBRARIES} ${OGG_LIBRARIES} ${VORBIS_LIBRARIES} ${VORBISFILE_LIBRARIES}
    pthread
  DESTINATION ${LIB_INSTALL_DIR}
)
